/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.assira.functional;

import java.util.function.Function;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface VarFunction extends Function<Object[], Object> {

    @Override
    Object apply(Object[] arguments);

    default Object call(Object... arguments) {
        return apply(arguments);
    }
    
}
